メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
accounts
Create an SaaS account
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "provisioningType": "invite",
    "licenses": [
      "license1",
      "license2"
    ]
  },
  "workflowRunId": "123e4567-e89b-12d3-a456-426614174000"
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts"

payload = {
"data": {
"provisioningType": "invite",
"licenses": ["license1", "license2"]
},
"workflowRunId": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {provisioningType: 'invite', licenses: ['license1', 'license2']},
workflowRunId: '123e4567-e89b-12d3-a456-426614174000'
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "requestId": "1"
}
{
"items": [
{
"field": "<string>",
"message": "<string>"
}
]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
workspaceId
number
必須

クエリパラメータ

lang
enum<string>
利用可能なオプション:
en,
ja

ボディ

application/json
data
必須

To create an account for a workspace, following are the steps:

  • Step 1: GET /workspaces/:workspaceId/provisioning-meta This returns a list of fields.
  • Step 2: POST /workspaces/:workspaceId/accounts Make a request based on the meta response from the previous step.
  • Step 3: GET /requests/:requestId Use requestId from previous step to check status

Continue polling this API until status changes to “finished” or “failed”. There will be a rate limit on this API, so please use an interval of 1s.

:
{
"provisioningType": "invite",
"licenses": ["license1", "license2"]
}
workflowRunId
string<uuid>

The ID of the workflow run.

:

"123e4567-e89b-12d3-a456-426614174000"

レスポンス

Please use the /api/v1/organizations/{organizationId}/requests endpoint to retrieve the status of the deprovisioning request.

requestId
string
必須
read-only
:

"1"

最終更新日 2026年7月10日